Subject: [Geopriv] [geopriv] #27: Subjective network views and policy

From: "geopriv issue tracker" <[email-masked]>
Date: Mon, 12 Oct 2009 23:47:10 -0000

#27: Subjective network views and policy
---------------------------------------+------------------------------------
 Reporter:  martin.thomson@…           |       Owner:  martin.thomson@…         
     Type:  defect                     |      Status:  new                      
 Priority:  minor                      |   Milestone:                           
Component:  held-identity-extensions   |     Version:                           
 Severity:  Candidate WG Document      |    Keywords:  policy identity          
---------------------------------------+------------------------------------
 Section 3.1.1 of held-identity says:
 > Subjective views of the network mean that the identifier a requests
 > uses to refer to one physical entity could actually apply to a
 > different physical entity when used in a different network context.
 > Unless an authorized third party requester and LIS operate in the
 > same network context, each could have a different subjective view of
 > the meaning of the identifier.
 > In this case, the third party receives information that is correct
 > only within the network context of the LIS. The location information
 > provided by the LIS is probably misleading: the requester believes
 > that the information relates to a different entity than it was
 > generated for.
 This notes the potential for misleading location information, but does
 not explain that subjective views also create the potential for the
 LIS to apply the wrong policy to a given location request. It's sort
 of implied, but I think it's worth stating explicitly, because it
 creates a problem of equal concern if the LIS doesn't realize it's
 dealing with a subjective view.

-- 
Ticket URL: <http://trac.tools.ietf.org/wg/geopriv/trac/ticket/27>
geopriv <http://tools.ietf.org/geopriv/>

---

From: "geopriv issue tracker" <[email-masked]>
Date: Tue, 13 Oct 2009 23:56:26 -0000

Comment(by martin.thomson@…):

 Proposed additions:

 ''A new paragraph after the cited section seems appropriate:''
   Authorization policy can be affected by a subjective network view if it
 is applied based on an identifier, or it's application depends on
 identifiers.  The subjective view presented to the LIS and Rule Maker need
 to agree for the two entities to understand policy on the same terms.  For
 instance, it is possible that the authorization policy applied by the LIS
 is entirely incorrect if authorization policy is selected using a
 subjective identifier.  Alternatively, policy might be incorrectly applied
 if identifiers differ.

 ''Minor addition in later paragraph to back-ref this addition:''
   A LIS can be configured to recognize scenarios where the subjective view
 of a requester '''or Rule Maker''' might not coincide with the view of the
 LIS.  The LIS can either provide location information that takes the view
 of the requester into account, or it can reject the request.

 ''I looked at the security considerations, but it doesn't seem appropriate
 to add anything more there.  This section is already referenced.''

-- 
Ticket URL: <http://trac.tools.ietf.org/wg/geopriv/trac/ticket/27#comment:1>
geopriv <http://tools.ietf.org/geopriv/>

---

From: "geopriv issue tracker" <[email-masked]>
Date: Mon, 19 Oct 2009 01:08:44 -0000

#27: Subjective network views and policy
---------------------------------------+------------------------------------
 Reporter:  martin.thomson@…           |        Owner:  martin.thomson@…         
     Type:  defect                     |       Status:  closed                   
 Priority:  minor                      |    Milestone:                           
Component:  held-identity-extensions   |      Version:                           
 Severity:  Candidate WG Document      |   Resolution:  fixed                    
 Keywords:  policy identity            |  
---------------------------------------+------------------------------------
Changes (by martin.thomson@…):

  * status:  new => closed
  * resolution:  => fixed

-- 
Ticket URL: <http://trac.tools.ietf.org/wg/geopriv/trac/ticket/27#comment:2>
geopriv <http://tools.ietf.org/geopriv/>

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 20 Oct 2009 08:43:30 +0100

One question below --

> #27: Subjective network views and policy

What is the difference between what is described in the second-to-last  
sentence and what is described in the last sentence above?

Alissa

---

From: "Thomson, Martin" <[email-masked]>
Date: Wed, 21 Oct 2009 05:30:51 +0800

Hi Alissa,

> sentence and what is described in the last sentence above?

The policy might contain conditions on identity - thus, it might be the right policy, but certain rules might be applied where they should not be (or vice versa).

---

From: Alissa Cooper <[email-masked]>
Date: Fri, 23 Oct 2009 11:12:47 +0100

Ah, I see. Since it confused me, I would recommend a slight edit:

For instance, it is possible that the LIS could apply the incorrect  
authorization policy if it selects the policy using a subjective  
identifier.  Alternatively, it may use the correct policy but apply it  
incorrectly if subjective identifiers are used.

Alissa

On Oct 20, 2009, at 10:30 PM, Thomson, Martin wrote:

> The policy might contain conditions on identity - thus, it might be  
> the right policy, but certain rules might be applied where they  
> should not be (or vice versa).